# ej2-react-lists

The react listview component allows you to select an item or multiple items from a list-like interface and represents the data in interactive hierarchical structure across different layouts or views. Lists are used for displaying data, data navigation, and data entry.

![ej2-react-lists](https://ej2.syncfusion.com/products/images/listview/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/?utm_source=npm&utm_campaign=listview). To acquire a license, you can [purchase](https://www.syncfusion.com/sales/products/?utm_source=npm&utm_campaign=listview) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials/?utm_source=npm&utm_campaign=listview).

> A free [community license](https://www.syncfusion.com/products/communitylicense/?utm_source=npm&utm_campaign=listview) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `Lists` and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-react-lists
```

## Resources

* [Getting Started](https://ej2.syncfusion.com/react/documentation/listview/getting-started/?utm_source=npm&utm_campaign=listview)
* [View Online Demos](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/default)
* [Product Page](https://www.syncfusion.com/react-ui-components/listview/?utm_source=npm&utm_campaign=listview)

## Supported Frameworks

`Lists` component is also offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/angular-new.svg"  height="50" />](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/vue.svg" height="50" />](https://www.syncfusion.com/vue-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Vue](https://www.syncfusion.com/vue-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Showcase samples

* Call History ([Live Demo](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/call-history))

## Key Features

* [**Data binding**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/default) - Supports data binding to display the list of items from the local or server-side data source.

* [**Grouping**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/default) - Provides support to group the logically related items under a category.

* [**Nested list**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/nested-list) - Displays a set of nested list items in different layout.

* [**Virtualization**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/virtualization) - Allows you to load only viewable list items in a view port which will increase ListView performance on loading large number of data.

* [**Check list**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/check-list) - Displays list item with checkbox which allows you to select single or select multiple items.

* [**Customizing templates**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/group-template) - Allows you to customize the list item, header, and category group header.

* [**Accessibility**](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_campaign=listview#/fluent2/listview/default) - Provides built-in accessibility support that helps to access all the ListView component features through the keyboard, on-screen readers, or other assistive technology devices.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-Trac](https://www.syncfusion.com/support/directtrac/incidents/?utm_source=npm&utm_campaign=listview) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2/?utm_source=npm&utm_campaign=listview).
* New [GitHub issue](https://github.com/syncfusion/ej2-react-ui-components/issues/new/?utm_source=npm&utm_campaign=listview).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_campaign=listview) with tag `syncfusion` and `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-react-ui-components/blob/master/license/?utm_source=npm&utm_campaign=listview).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-react-ui-components/blob/master/components/lists/CHANGELOG.md/?utm_source=npm&utm_campaign=listview)

© Copyright 2025 Syncfusion<sup>®</sup> Inc. All Rights Reserved. The Syncfusion<sup>®</sup> Essential Studio<sup>®</sup> license and copyright applies to this distribution.
